<?php
namespace Claromentis\Core\Metadata\Events;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_1be96e478" . "0d6aa31594" . "b89833f1f9" . "26b" => base64_decode("b2xkX2ZpZW" . "xk"), "_17e4cf041bcee0e2c7fa" . "683cc3f19f56" => base64_decode("bmV3X2ZpZ" . "Wxk"));
use DynamicMetaFieldPrototype;
use MetaDataSet;
use Symfony\Component\EventDispatcher\GenericEvent;
class MetadataFieldUpdatedEvent extends GenericEvent
{
    public function __construct(MetaDataSet $_77c5854c00ecc3702ca7bb6badfe7a22, DynamicMetaFieldPrototype $_2fe7618e12aca07791d27b07f63963c8, DynamicMetaFieldPrototype $_d8f5eba4e43c8ff065b8dd64d682ad6c = null)
    {
        parent::__construct($_77c5854c00ecc3702ca7bb6badfe7a22, [$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_17e4cf041b" . "cee0e2c7fa6" . "83cc3f19f56"] => $_2fe7618e12aca07791d27b07f63963c8, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_1be96e4780d6aa3" . "1594b89833f1f926" . "b"] => $_d8f5eba4e43c8ff065b8dd64d682ad6c]);
    }
    public function GetMetadataSet() : MetaDataSet
    {
        return $this->getSubject();
    }
    public function GetMetadataSetType()
    {
        return $this->getSubject()->set_type;
    }
    public function GetOldField() : ?DynamicMetaFieldPrototype
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_1be96e4780d6aa31594b89833f1f92" . "6b"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_1be96e4780d6aa31594b89" . "833f1f926b"]) : null;
    }
    public function GetNewField() : ?DynamicMetaFieldPrototype
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_17e4cf041bce" . "e0e2c7fa683cc" . "3f19f56"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_17e4cf041bcee0e2c7fa683cc3f19f5" . "6"]) : null;
    }
}